def DisplayMessage(self, point, text_to_write, height=None, message_color=None, update=False): """ :point: a gp_Pnt or gp_Pnt2d instance :text_to_write: a string :message_color: triple with the range 0-1 """ aStructure = Graphic3d_Structure(self._struc_mgr) text_aspect = Prs3d_TextAspect() if message_color is not None: text_aspect.SetColor(rgb_color(*message_color)) if height is not None: text_aspect.SetHeight(height) if isinstance(point, gp_Pnt2d): point = gp_Pnt(point.X(), point.Y(), 0) Prs3d_Text.Draw(aStructure, text_aspect, to_string(text_to_write), point) aStructure.Display() # @TODO: it would be more coherent if a AIS_InteractiveObject # is be returned if update: self.Repaint() return aStructure
def DisplayMsg(display, point, text_to_write, height=None, message_color=None, update=False): """ :point: a gp_Pnt or gp_Pnt2d instance :text_to_write: a string :message_color: triple with the range 0-1 """ aPresentation = Prs3d_Presentation(display._struc_mgr) text_aspect = Prs3d_TextAspect() if message_color is not None: text_aspect.SetColor(rgb_color("RED")) # if height is not None: text_aspect.Aspect() # if isinstance(point, None): point = gp_Pnt(point.X(), point.Y(), point.Z()) Prs3d_Text.Draw(aPresentation, text_aspect, to_string(text_to_write), point) aPresentation.Display() # @TODO: it would be more coherent if a AIS_InteractiveObject # is be returned if update: display.Repaint() return aPresentation # def osdag_display_msg(display, shapes, material=None, texture=None, color=None, transparency=None, update=False): # set_default_edge_style(shapes, display) # display.DisplayShape(shapes, material, texture, color, transparency, update=update)